Subject: new malloc/free gives problems on win95
From: [email-masked] (Mikey)

20 Mar 1998 22:46:25 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked], [email-masked]

win95b
P100
32M
egcs-1.0.2 prerelease from Mumit

I've built the B19.1 cygwinb19.dll against the
newlib-980310 with Doug Lea's malloc
implimentation, and it seems that I am
always getting segfaults in malloc or free.

segfaults in the same places in the same programs from B19.1 cygwinb19.dll from the web site. 
(no symbols so I can't tell for sure what functions ;^)

had to change _read and _write from ssize_t returns to int returns in syscalls.h

newlib/libc/include/sys/fcntl.h
extern int _open _PARAMS ((const char *, int, ...));
to
extern int _open _PARAMS ((const char *, int, mode_t mode));

also .data$nocopy to .data_cygwin_nocopy && fixed ld

but otherwise no changes. (that I remember ;^)

when I reverted to the newlib/ & malloc.cc from sergey's 971103 release
the problems went away. (changes to dcrt0.cc  winsup.h libc/sys/signal.h libc/sys/cygwin32/sys/dirent.h)

has anyone else seen this?

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".